Loading...
Searching...
No Matches
surfaceFactory.h File Reference
`#include "../version.h"`
`#include "../bfr/surface.h"`
`#include "../bfr/surfaceFactoryMeshAdapter.h"`
`#include "../sdc/options.h"`
`#include "../sdc/types.h"`
`#include <cstdint>`

Go to the source code of this file.

## Classes

class | SurfaceFactory
| Base class providing initialization of a Surface for each face of a mesh. More...
class | SurfaceFactory::Options
| Simple set of options assigned to instances of SurfaceFactory. More...

## Namespaces

namespace | OpenSubdiv
namespace | OpenSubdiv::OPENSUBDIV_VERSION
namespace | OpenSubdiv::OPENSUBDIV_VERSION::Bfr